# Contributing

Thanks for your interest in contributing! This project follows our [Gem guidelines](https://github.com/LaunchPadLab/opex-public/blob/master/gists/gem-guidelines.md).

## Code of Conduct

We expect all participants to adhere to our [Code of Conduct](CODE_OF_CONDUCT.md).

## How Can I Contribute?

There are several ways to contribute to this project, including (but not limited to):

- Reporting bugs
- Requesting features
- Responding to bug reports / feature requests
- Submitting PR(s) that address issues labeled with "help wanted"
- Updating documentation

Before making a contribution, search through the existing [issues](https://github.com/LaunchPadLab/decanter/issues) and [pull requests](https://github.com/LaunchPadLab/decanter/pulls) to see if your item has already been raised or addressed. If there is an existing **open** issue that impacts you, it is best practice to upvote (👍) the initial comment as opposed to adding an additional comment voicing your support. The latter creates noise for the LaunchPad Lab team and makes it difficult for us to quickly and effectively rank issues according to the community's priority.

## Getting Started Locally
1. Fork and clone the repo
1. Run `bundle` to install dependencies
1. Run `rspec` to run unit tests
1. Load development changes in a local application in your Gemfile
    ```ruby
    gem "decanter", path: "/path/to/repo"
    ```

## Proposing a Change
For any non-trivial change, we prefer an issue to be created first. This helps us (and you!) save time and keep track of conversations and decisions made regarding the project.

### Sending a Pull Request
If this is your first Pull Request, we recommend learning how to navigate GitHub via this free video tutorial: [How to Contribute to an Open Source Project on GitHub](https://egghead.io/courses/how-to-contribute-to-an-open-source-project-on-github).

The LaunchPad Lab team monitors this repository for pull requests. Once a pull request has been created from a forked repository that **meets all the guidelines** outlined in the [Pull Request Checklist](.github/PULL_REQUEST_TEMPLATE.md), we will review the request and either merge it, request changes, or close it with an explanation. We aim to respond to pull requests within 48 hours.
